object MajopsSkeletonScriptScala {

	// Global variables.
	var g_exampleVariable : String = "Global Example Variable"; // Only, if this is necessary
	
	def showUsageInformation() {
		println();
		println("Majops Skeleton Script Scala is the base for making new scripts in Scala.");
		println("For this Majops Skeleton Script Scala, a class file has to be made first.");
		println("Therefore, it has to be compiled by typing:");
		println();
		println("scalac [Scala script file name with .scala extension]");
		println();
		println("Next to that class file, another class file with $ at the end of its base name is made.")
		println();
		println("The generated class file can be started by typing:");
		println();
		println("scala [Scala script file name without any extension]");
		println();
		println("To generate a class file for this Majops Skeleton Script Scala, you have to type:");
		println();
		println("scalac MajopsSkeletonScriptScala.scala");
		println();
		println("Next to it, the other class file MajopsSkeletonScriptScala$.class is made.");
		println();
		println("To start the generated class file for this Majops Skeleton Script Scala, you have to type:");
		println();
		println("scala MajopsSkeletonScriptScala");
		println();
		println("The user has to type here what the Scala script can perform and does.");
		println();
		println("Way of usage:");
		println();
		println("The user has to type here how he has to work with the Scala script and");
		println("how the command line arguments are used.");
		println();
		println("Example:");
		println();
		println("scalac MajopsSkeletonScriptScala.scala");
		println("scala MajopsSkeletonScriptScala input1.txt input2.csv 10 output.csv");
		println();
		
		System.exit(0);
	}
	
	// From here till the main method, methods have to be programmed. 
	// An example method: showHelloWorld
	def showHelloWorld(helloWorld : String) {
		println();
		println(helloWorld);
		println();
		println(g_exampleVariable);
		println();
	}

	// The last method is always the main method, in which only other methods are called.
	def main(args: Array[String]) {
		if (args.length >= 1) {
			if (args(0).equals("-h") || args(0).equals("--h") || args(0).equals("-help") || args(0).equals("--help")) {
				showUsageInformation();
			}
		}
		
		var helloToUser : String = "Hello World!";
		
		showHelloWorld(helloToUser); // Example of a method.
	}
	
	// Additional information:
	// =======================
	// 
	// Remarks about the Majops Skeleton Script Scala itself.
	// Description how it works.
	// Description which improvements can be done to improve the Majops Skeleton Script Scala itself.
	// 
}
